Package org.gradle.api.publish.maven

## Interface MavenPomScm

-     public interface MavenPomScm

  The SCM (source control management) of a Maven publication.
  Since:
    4.8
  See Also:
    `MavenPom`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Property<java.lang.String>` | `getConnection()` | The connection URL of this SCM.
    `Property<java.lang.String>` | `getDeveloperConnection()` | The developer connection URL of this SCM.
    `Property<java.lang.String>` | `getTag()` | The tag of current code in this SCM.
    `Property<java.lang.String>` | `getUrl()` | The browsable repository URL of this SCM.

- - ### Method Detail

    - #### getConnection

          Property<java.lang.String> getConnection()

      The connection URL of this SCM.

    - #### getDeveloperConnection

          Property<java.lang.String> getDeveloperConnection()

      The developer connection URL of this SCM.

    - #### getUrl

          Property<java.lang.String> getUrl()

      The browsable repository URL of this SCM.

    - #### getTag

          Property<java.lang.String> getTag()

      The tag of current code in this SCM.